<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<xsl:output method="xml" indent="yes" encoding="UTF-8" version="1.0"/>

	<!-- includes -->
	<xsl:include href="Brieftext.xsl"/>

	<!-- Standardseite -->
	<xsl:template name="StandardSeite">
		<xsl:for-each select="auftragsunterlagen/kunde">
			<xsl:variable name="xxx" select="concat('xxx',rechkopf/kdnr)"/>
			<fo:page-sequence master-reference="Seite_A4" initial-page-number="1" force-page-count="no-force">
				<!-- Seitenbereich -->

				<fo:static-content flow-name="xsl-region-top">
					<xsl:call-template name="Kundenadresse"/>
				</fo:static-content>

				<fo:static-content flow-name="xsl-region-bottom">
					<fo:block-container absolute-position="fixed" top="130mm" left="160mm" font-size="9pt">
						<fo:block color="green">
							Customer's Page <fo:page-number/> <xsl:text> of </xsl:text><fo:page-number-citation ref-id="{$xxx}"/>
						</fo:block>
						<fo:block color="red">
							Absolute Page <fo:page-number/> <xsl:text> of </xsl:text><fo:page-number-citation ref-id="endofdoc"/>
						</fo:block>
					</fo:block-container>
					<fo:block>
						<fo:retrieve-marker retrieve-class-name="unten" retrieve-boundary="page-sequence" retrieve-position="last-starting-within-page"/>
					</fo:block>
				</fo:static-content>

				<fo:flow flow-name="xsl-region-body">
					<fo:block>
						<fo:marker marker-class-name="oben">
						</fo:marker>

						<fo:marker marker-class-name="unten">
							<fo:block-container absolute-position="fixed" top="255mm" left="170mm" font-family="helvetica" font-size="9pt">
								<fo:block>
									<fo:inline>
										<xsl:text>continued on next page</xsl:text>
									</fo:inline>
								</fo:block>
							</fo:block-container>
						</fo:marker>
					</fo:block>

					<!-- Brieftext -->
					<xsl:call-template name="Brieftext"/>

					<fo:block>
						<fo:marker marker-class-name="unten">
							<fo:block-container absolute-position="fixed" top="170mm" left="145mm">
								<fo:block>
									<fo:inline>
										<xsl:text>          </xsl:text>
									</fo:inline>
								</fo:block>
							</fo:block-container>
						</fo:marker>
					</fo:block>

            		<fo:block id="{$xxx}"/>

					<fo:block id="endofdoc"/>
				</fo:flow>
			</fo:page-sequence>
		</xsl:for-each>
	</xsl:template>

	<xsl:template name="Kundenadresse">
		<fo:block-container absolute-position="fixed" left="34.5mm" top="58.5mm">
			<fo:block font-size="10pt">
				<xsl:apply-templates select="adressdaten"/>
			</fo:block>
			<fo:block space-before="10mm" font-size="20pt" font-weight="bold"><xsl:value-of select="concat('Invoice ',rechkopf/rechnr)"/></fo:block>
		</fo:block-container>
	</xsl:template>

	<xsl:template match="adressdaten/ebilling">
	</xsl:template>

	<xsl:template match="adressdaten/adr1 | adressdaten/adr2 | adressdaten/adr3 | adressdaten/adr4 | adressdaten/adr5 | adressdaten/adr6 ">
		<fo:block>
			<xsl:value-of select="."/>
		</fo:block>
	</xsl:template>

</xsl:stylesheet>